define([
  "dojo/_base/declare",
], function (declare) {

  return declare(null, {

    constructor: function () {

    },

    init(target, bb) {
      bb.clear();
      $("#boundingBoxInput").val("");
      $('#toggleFreezeScene').prop('disabled', true);
    },

    settingBoundingBox: function (target, bb) {
      target.changeState("BoundingBoxDefining");
    },

    makingRequest: function (target) {
      // no-op
    },

    toggleFreezingScene: function (target) {
      // no-op
    }

  });

});